import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/curran/b236990081a24761f7000567094914e0/raw/cssNamedColors.csv';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  if (!data) {
    return <pre>Loading...</pre>;
  }

  //  console.log(data);
  return data.map((d) => (
    <div
      style={{
        backgroundColor: d['RGB hex value'],
        width: '960px',
        height: '4px',
      }}
    />
  ));
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
